public class JNIUtils {
	
	private JNIUtils() {}
	
	public static int decode(long nret) throws UnixSocketException {
		if (nret >= 0)  {
			return (int)nret ;
		}
		else {
			int function = (int)((nret >> 32) & 0xff) ;
			int error = (int)(nret & 0xffffffff) ;
			throw new UnixSocketException(function, error) ;
		}
	}
	
}
