public interface Errno {
	
	public static final int EPERM = 1 ;
	public static final int ENOENT = 2 ;
	public static final int ESRCH = 3 ;
	public static final int EINTR = 4 ;
	public static final int EIO = 5 ;
	public static final int ENXIO = 6 ;
	public static final int E2BIG = 7 ;
	public static final int ENOEXEC = 8 ;
	public static final int EBADF = 9 ;
	public static final int ECHILD = 10 ;
	public static final int EDEADLK = 11 ;
	public static final int ENOMEM = 12 ;
	public static final int EACCES = 13 ;
	public static final int EFAULT = 14 ;
	public static final int ENOTBLK = 15 ;
	public static final int EBUSY = 16 ;
	public static final int EEXIST = 17 ;
	public static final int EXDEV = 18 ;
	public static final int ENODEV = 19 ;
	public static final int ENOTDIR = 20 ;
	public static final int EISDIR = 21 ;
	public static final int EINVAL = 22 ;
	public static final int ENFILE = 23 ;
	public static final int EMFILE = 24 ;
	public static final int ENOTTY = 25 ;
	public static final int ETXTBSY = 26 ;
	public static final int EFBIG = 27 ;
	public static final int ENOSPC = 28 ;
	public static final int ESPIPE = 29 ;
	public static final int EROFS = 30 ;
	public static final int EMLINK = 31 ;
	public static final int EPIPE = 32 ;
	public static final int EDOM = 33 ;
	public static final int ERANGE = 34 ;
	public static final int EAGAIN = 35 ;
	public static final int EINPROGRESS = 36 ;
	public static final int EALREADY = 37 ;
	public static final int ENOTSOCK = 38 ;
	public static final int EDESTADDRREQ = 39 ;
	public static final int EMSGSIZE = 40 ;
	public static final int EPROTOTYPE = 41 ;
	public static final int ENOPROTOOPT = 42 ;
	public static final int EPROTONOSUPPORT = 43 ;
	public static final int ESOCKTNOSUPPORT = 44 ;
	public static final int ENOTSUP = 45 ;
	public static final int EPFNOSUPPORT = 46 ;
	public static final int EAFNOSUPPORT = 47 ;
	public static final int EADDRINUSE = 48 ;
	public static final int EADDRNOTAVAIL = 49 ;
	public static final int ENETDOWN = 50 ;
	public static final int ENETUNREACH = 51 ;
	public static final int ENETRESET = 52 ;
	public static final int ECONNABORTED = 53 ;
	public static final int ECONNRESET = 54 ;
	public static final int ENOBUFS = 55 ;
	public static final int EISCONN = 56 ;
	public static final int ENOTCONN = 57 ;
	public static final int ESHUTDOWN = 58 ;
	public static final int ETOOMANYREFS = 59 ;
	public static final int ETIMEDOUT = 60 ;
	public static final int ECONNREFUSED = 61 ;
	public static final int ELOOP = 62 ;
	public static final int ENAMETOOLONG = 63 ;
	public static final int EHOSTDOWN = 64 ;
	public static final int EHOSTUNREACH = 65 ;
	public static final int ENOTEMPTY = 66 ;
	public static final int EPROCLIM = 67 ;
	public static final int EUSERS = 68 ;
	public static final int EDQUOT = 69 ;
	public static final int ESTALE = 70 ;
	public static final int EREMOTE = 71 ;
	public static final int EBADRPC = 72 ;
	public static final int ERPCMISMATCH = 73 ;
	public static final int EPROGUNAVAIL = 74 ;
	public static final int EPROGMISMATCH = 75 ;
	public static final int EPROCUNAVAIL = 76 ;
	public static final int ENOLCK = 77 ;
	public static final int ENOSYS = 78 ;
	public static final int EFTYPE = 79 ;
	public static final int EAUTH = 80 ;
	public static final int ENEEDAUTH = 81 ;
	public static final int EPWROFF = 82 ;
	public static final int EDEVERR = 83 ;
	public static final int EOVERFLOW = 84 ;
	public static final int EBADEXEC = 85 ;
	public static final int EBADARCH = 86 ;
	public static final int ESHLIBVERS = 87 ;
	public static final int EBADMACHO = 88 ;
	public static final int ECANCELED = 89 ;
	public static final int EIDRM = 90 ;
	public static final int ENOMSG = 91 ;
	public static final int EILSEQ = 92 ;
	public static final int ENOATTR = 93 ;
	public static final int EBADMSG = 94 ;
	public static final int EMULTIHOP = 95 ;
	public static final int ENODATA = 96 ;
	public static final int ENOLINK = 97 ;
	public static final int ENOSR = 98 ;
	public static final int ENOSTR = 99 ;
	public static final int EPROTO = 100 ;
	public static final int ETIME = 101 ;
	public static final int EOPNOTSUPP = 102 ;
	
	public static final String[] NAMES = {
		null,
		"EPERM",
		"ENOENT",
		"ESRCH",
		"EINTR",
		"EIO",
		"ENXIO",
		"E2BIG",
		"ENOEXEC",
		"EBADF",
		"ECHILD",
		"EDEADLK",
		"ENOMEM",
		"EACCES",
		"EFAULT",
		"ENOTBLK",
		"EBUSY",
		"EEXIST",
		"EXDEV",
		"ENODEV",
		"ENOTDIR",
		"EISDIR",
		"EINVAL",
		"ENFILE",
		"EMFILE",
		"ENOTTY",
		"ETXTBSY",
		"EFBIG",
		"ENOSPC",
		"ESPIPE",
		"EROFS",
		"EMLINK",
		"EPIPE",
		"EDOM",
		"ERANGE",
		"EAGAIN",
		"EINPROGRESS",
		"EALREADY",
		"ENOTSOCK",
		"EDESTADDRREQ",
		"EMSGSIZE",
		"EPROTOTYPE",
		"ENOPROTOOPT",
		"EPROTONOSUPPORT",
		"ESOCKTNOSUPPORT",
		"ENOTSUP",
		"EPFNOSUPPORT",
		"EAFNOSUPPORT",
		"EADDRINUSE",
		"EADDRNOTAVAIL",
		"ENETDOWN",
		"ENETUNREACH",
		"ENETRESET",
		"ECONNABORTED",
		"ECONNRESET",
		"ENOBUFS",
		"EISCONN",
		"ENOTCONN",
		"ESHUTDOWN",
		"ETOOMANYREFS",
		"ETIMEDOUT",
		"ECONNREFUSED",
		"ELOOP",
		"ENAMETOOLONG",
		"EHOSTDOWN",
		"EHOSTUNREACH",
		"ENOTEMPTY",
		"EPROCLIM",
		"EUSERS",
		"EDQUOT",
		"ESTALE",
		"EREMOTE",
		"EBADRPC",
		"ERPCMISMATCH",
		"EPROGUNAVAIL",
		"EPROGMISMATCH",
		"EPROCUNAVAIL",
		"ENOLCK",
		"ENOSYS",
		"EFTYPE",
		"EAUTH",
		"ENEEDAUTH",
		"EPWROFF",
		"EDEVERR",
		"EOVERFLOW",
		"EBADEXEC",
		"EBADARCH",
		"ESHLIBVERS",
		"EBADMACHO",
		"ECANCELED",
		"EIDRM",
		"ENOMSG",
		"EILSEQ",
		"ENOATTR",
		"EBADMSG",
		"EMULTIHOP",
		"ENODATA",
		"ENOLINK",
		"ENOSR",
		"ENOSTR",
		"EPROTO",
		"ETIME",
		"EOPNOTSUPP",
	} ;
	
}
